import { useMemo } from 'react';
import useToggle from '../useToggle';
export default function useBoolean(initialValue) {
  if (initialValue === void 0) {
    initialValue = false;
  }
  var _useToggle = useToggle(initialValue),
    value = _useToggle[0],
    toggle = _useToggle[1];
  var handlers = useMemo(function () {
    return {
      toggle: toggle,
      on: function on() {
        return toggle(true);
      },
      off: function off() {
        return toggle(false);
      }
    };
  }, [toggle]);
  return [value, handlers];
}