import { useCallback, useRef } from 'react';
import useIsomorphicLayoutEffect from '../useIsomorphicLayoutEffect';
export default function useCallbackRef(fn) {
  var ref = useRef(fn);
  useIsomorphicLayoutEffect(function () {
    ref.current = fn;
  });
  return useCallback(function () {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    return ref.current == null ? void 0 : ref.current.apply(ref, args);
  }, []);
}