import useMediaQuery from '../useMediaQuery/index.js';
var usePreCalculatedMediaQuery = function usePreCalculatedMediaQuery(queryInput) {
  var supportMatchMedia = typeof window !== 'undefined' && typeof window.matchMedia !== 'undefined';
  var query = queryInput.replace(/^@media( ?)/m, '');
  var matchMedia = supportMatchMedia ? window.matchMedia : null;
  var matches = true;
  if (supportMatchMedia) {
    var queryList = matchMedia(query);
    matches = queryList.matches;
  }
  return useMediaQuery(queryInput, {
    defaultMatches: matches
  });
};
export default usePreCalculatedMediaQuery;